Description

Description

When | have 3 terms using left/center/right gravities, | can never reach the right term via grabs. W-arrows, W-I, and W-r only swap
between the left and center terms.

System info
Happens to me on both r2278 and r2464, compiled on x64.

Affected layout

0x400009*0 Ox 14 +1676 + 1018  center 0 --- urxvt (URxvt)
0x400025 0 840x 14 + 836 + 1018 right 0 --- urxvt (URxvt)
0x40006b*0 0x 14+ 1676+ 1018 left O --- urxvt (URxvt)

History

#1 - 01/10/2011 04:36 PM - Christoph Kappel

- Status changed from Unconfirmed to Feedback

Hm, | can't reproduce it also the layout is a bit odd. Why do the left and center urxvt have the same geometry?

#2-01/11/2011 06:58 AM - Tim Y
- File subtle.rb added

Hmm, I'm not sure.. | may have accidentally typed over the pastebin before | cp+pasted it here.

Since no one else seems to have this issue, yesterday | tried subtle on my x86 laptop, but | get the same behavior as my x86_64 desktop.

subtle r2505 (no sublets, default config except for changing some keybinds and adding Contrib::Launcher)
ruby 1.9.2_p136
gcc 4.5.2

“subtler el-eutput-ep+pasted-directy-from-taptep-terminak:
0x8000090—0-x—16+—696+1+030—left— urxvt (URxvt)

0x80003a*0 700 x 16 + 696 + 1030 right --- urxvt (URxvt)
0x80005c *0 Ox 16+ 1396 + 1030  center --- urxvt (URxvt)

#3 - 01/17/2011 07:33 AM - Tim Y

After going from r2529 to r2561, | can now access all the terms. There are still some oddities with :WindowLeft/Right/Down/Up/Raise/Lower behavior,
but they are a bit difficult to describe in print. | can try to document the behavior if requested, but at least all terms are accessible now for me.

#4 - 02/01/2011 09:10 AM - Christoph Kappel
What kind of oddities?

#5 - 02/05/2011 08:00 AM - Tim Y

e.g. Say I'm working with 3 terms using left/top_right/bottom_right gravities, and | have a big term running screen/rtorrent/etc underneath those 3
terms:

0x600009 * O 0 x 15 + 1678 + 1018 center —--—-- urxvt (URxvt)
0x60002c * O 0 x 15 + 989 + 1018 left —---- urxvt (URxvt)
0x600048 * 0 992 x 15 + 686 + 508 top_right ---- urxvt (URxvt)
0x60005d * 0 992 x 525 + 686 + 508 bottom_right —---—- urxvt (URxvt)
https://subtle.de/projects/subtle/repository/revisions/2278
https://subtle.de/projects/subtle/repository/revisions/2464
https://subtle.de/projects/subtle/repository/revisions/2505
https://subtle.de/projects/subtle/repository/revisions/2529
https://subtle.de/projects/subtle/repository/revisions/2561

When | am on the bottom_right term and do :WindowUp, | expect to go to the top_right term:
| |
| |

Instead, the big center term comes above into focus:

#6 - 02/05/2011 01:16 PM - Christoph Kappel

Well, that only happens when the big term is on center gravity instead of left gravity.

#7 - 02/10/2011 08:08 PM - Christoph Kappel
Does r2625 fix that for you?

#8 - 02/10/2011 09:21 PM - Tim Y

Yes! | didn't realize you were going to look into it, but indeed, r2625 fixes it for me. Thanks.

#9 - 02/10/2011 09:42 PM - Christoph Kappel
- Status changed from Feedback to Fixed
- % Done changed from 0 to 100

Nice, | will close this ticket then and yw.
subtle.rb 19.4 KB
